#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 taffybar
version:              4.0.3
visibility:           public
id:                   taffybar-4.0.3-Bs7xTTLexKwI0YaBlW6YwV
key:                  taffybar-4.0.3-Bs7xTTLexKwI0YaBlW6YwV
license:              BSD-3-Clause
maintainer:           IvanMalison@gmail.com
author:               Ivan Malison
homepage:             http://github.com/taffybar/taffybar
synopsis:             A desktop bar similar to xmobar, but with more GUI
category:             System
abi:                  339986fc78a8f360d6de05a658e662d7
exposed:              True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:          /usr/lib/ghc-9.2.8/site-local/taffybar-4.0.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/taffybar-4.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/taffybar
hs-libraries:         HStaffybar-4.0.3-Bs7xTTLexKwI0YaBlW6YwV
extra-libraries:
    gtk-3 gdk-3 z pangocairo-1.0 pango-1.0 harfbuzz atk-1.0
    cairo-gobject cairo gdk_pixbuf-2.0 gio-2.0 gobject-2.0 glib-2.0

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0
    /usr/include/cloudproviders /usr/include/cairo
    /usr/include/gdk-pixbuf-2.0 /usr/include/at-spi2-atk/2.0
    /usr/include/at-spi-2.0 /usr/include/atk-1.0 /usr/include/dbus-1.0
    /usr/lib/dbus-1.0/include /usr/include/fribidi
    /usr/include/pixman-1 /usr/include/harfbuzz /usr/include/freetype2
    /usr/include/libpng16 /usr/include/gio-unix-2.0
    /usr/include/glib-2.0 /usr/lib/glib-2.0/include
    /usr/include/libmount /usr/include/blkid /usr/include/sysprof-6

depends:
    HStringTemplate-0.8.8-6u3ef8XQgD25xhNTj53xpE
    X11-1.10.3-8NdPo2dy5eHGXd7RnXiWFu
    aeson-2.1.2.1-7IgTEIjsesxDBKStPrg8Ee
    ansi-terminal-1.0-HXMYrAonyDbGeThYOH7A5U base-4.16.4.0
    broadcast-chan-0.2.1.2-f02PvATo7NKoyx3Lp7VKE bytestring-0.11.4.0
    conduit-1.3.6.1-I0pkWSrZ9L621n2N9S5oir containers-0.6.5.1
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3
    dbus-1.3.1-6YJzM0qWUba3uXsJreGbub
    dbus-hslogger-0.1.0.1-5SXQviQZn7B1jiBDmolEm2 directory-1.3.6.2
    dyre-0.9.2-5abLnFQgVLs9P4QvCpgWpr
    either-5.0.2-83NZrwBVER7ATBGkH4n4rs
    enclosed-exceptions-1.0.3-Kt854M8gDGC9l8DGWyXQyD filepath-1.4.2.2
    gi-cairo-connector-0.1.1-5nKGB3z59ORo2O5ekNcXs
    gi-cairo-render-0.1.2-7HmekQRVUq21y3KFkkjXW2
    gi-gdk-3.0.25-6OuLs9gQur4FBXWAIVrt3d
    gi-gdkpixbuf-2.0.31-91ln9ph02iaJg6JnrvTJlg
    gi-gdkx11-3.0.12-GTkjHkQzV4A5q2NMbKJk2I
    gi-glib-2.0.29-G7IPFpCRzq686y99WqYHho
    gi-gtk-3.0.38-LWrOK1Y4qCsCT7YGl9VVlL
    gi-gtk-hs-0.3.16-C6JplM36VfyKRZmz5GHvSd
    gi-pango-1.0.29-2zTt4igvn42DGPvLdc9f2I
    gtk-sni-tray-0.1.8.1-LAyAPv9Sk7uGavVcJ5eQ8y
    gtk-strut-0.1.3.2-Kkmat6zC8HECh2j2pCpHbQ
    haskell-gi-base-0.26.6-2Iq9Kyqd3Sc9DWwShfcztO
    hslogger-1.3.1.1-D3frPIv4Yoo9qjA1JrOEAn
    http-client-0.7.17-CaOEDO662FL9oeZ6tGaZBC
    http-client-tls-0.3.6.3-JrRMGJI53IuIbQIebwOD6
    http-conduit-2.3.9.1-A4zspRC0gNAIgs5wHg1rBx
    http-types-0.12.4-HtCYpQIQFjj1M0lE5V2LXG
    multimap-1.2.1-2IAvtGljS5zEVxuDX8lIuU parsec-3.1.15.0
    process-1.6.16.0 rate-limit-1.4.3-GgKPfmYk1rq2rp9ut0wxbG
    regex-compat-0.95.2.1-6r4iKSNuQHkEjgz1ilm8wy
    safe-0.3.21-IydQ1hcKr806ts9FHuuGAE
    scotty-0.22-IvY6wMLA40xA3rqV59IN5R
    split-0.2.5-Cy9bOpgldKO4xHRSncOAiA
    status-notifier-item-0.3.1.0-4VEIEdXfQX5HcXgwGI2Ucr stm-2.5.0.2
    template-haskell-2.18.0.0 text-1.2.5.0 time-1.11.1.1
    time-locale-compat-0.1.1.5-LoE3V3We7KBAnFwKjT98C2
    time-units-1.0.0-5ANWMnlmGbA6CL2adJPINT transformers-0.5.6.2
    tuple-0.3.0.2-Dpd5trdzggw761Wx8z6fhK unix-2.7.2.2
    utf8-string-1.0.2-AaPuiI83MyhDGzjGdO2RZO
    xdg-basedir-0.2.2-BAENMrhgj9o4xkjbLJyx83
    xdg-desktop-entry-0.1.1.2-2WDczfQD8obL2klEQvICmp
    xml-1.3.14-6RhFPlxQprr192No4Dq3gf
    xml-helpers-1.0.0-KVIOBFUCXoGnjpBr1W1E3
    xmonad-0.18.0-2SImKfYthpO8t7GVXEhMFu

haddock-interfaces:   /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:         /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

